PX_DATE2STRING(3)

NAME
PX_date2string — Convert paradox date into formated string

SYNOPSIS

#include <paradox.h>

char * PX_date2string(pxdoc_t *pxdoc, long date, const char *format)

DESCRIPTION

Creates a string representation of a paradox date as specified in the parameter format. The date must be either retrieved with PX_get_data_long(3) after calling PX_get_record(3) or by simply using the long value in the pxval_t struct as returned by PX_retrieve_record(3). The function uses internally the PX_timestamp2string(3) function. The format string may contain all chars as documented with PX_timestamp2string(3), though only those concerning the date will produce resonable results.

RETURN VALUE

Returns pointer to string on success and NULL on failure.

SEE ALSO

PX_timestamp2string(3), PX_time2string(3)

AUTHOR

This manual page was written by Uwe Steinmann uwe@steinmann.cx.